Skip to content
CatalogProducts

Get a product creation

Returns the saved result of a product creation you completed, by its operation ID.

Path Parameters

operationId*string

Header Parameters

x-Store-Id?string

Store the request acts on. Not needed when the token is bound to a store.

Authorization*string

OAuth 2.0 bearer token.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://api.ecomiq.pe/api/v1/catalog/products/creations/7204558912004322127" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>"
{  "productId": "7204558912004322039",  "name": "Polo de algodón",  "status": "draft",  "version": 3,  "queuedImageCount": 24}